Package twisted :: Package python :: Module formmethod :: Class Integer

[show private | hide private]
[frames | no frames]

## Class Integer

    Argument --+
               |
              Integer

A single integer.

Method Summary
| `__init__(self, name, allowNone, default, shortDesc, longDesc, hints)`
| `addHints(self, **kwargs)` (inherited from `Argument`)
| ``coerce`(self, val)` Convert the value to the correct format.
| `getHint(self, name, default)` (inherited from `Argument`)
| `getLongDescription(self)` (inherited from `Argument`)
| `getShortDescription(self)` (inherited from `Argument`)

Class Variable Summary
`NoneType` | `defaultDefault`

Method Details

### coerce(self, val)

Convert the value to the correct format.

  Overrides:
    `twisted.python.formmethod.Argument.coerce` (inherited documentation)

Class Variable Details

### defaultDefault

  Type:
    `NoneType`
  Value:

        None

Generated by Epydoc 1.1 on Thu May 8 13:18:56 2003 | http://epydoc.sf.net